Bug 1097109 - taglib build-in tests fail on BE machines
taglib build-in tests fail on BE machines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: taglib (Show other bugs)
20
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker 1097111
  Show dependency treegraph
 
Reported: 2014-05-13 03:35 EDT by Jakub Čajka
Modified: 2014-06-01 18:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: taglib-1.9.1-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-01 18:23:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
taglib fix (1.52 KB, patch)
2014-05-13 03:35 EDT, Jakub Čajka
no flags Details | Diff

  None (edit)
Description Jakub Čajka 2014-05-13 03:35:47 EDT
Created attachment 895027 [details]
taglib fix

Description of problem:
taglib build-in tests fail on big-endian machines

How reproducible:
Always 

Steps to Reproduce:
1. build package on BE machine
2. run tests

Actual results:
tests fail

Expected results:
tests will pass

Additional info:
There is a problem with byte swaping in copyFromUTF16(const char ...) in tstring.cpp on BE. And few missing delete in FLAC test suite, it seems file changes are not wrtten to disk until FLAC file handling class is released.

In attachment is patch fixing both problems. It applies cleanly against both upstream and fedora sources. I have tested it on x86_64 and ppc64 with no problems. I will post link to this BZ to upstream gitHub issues tarcker(https://github.com/taglib/taglib/issues).
Comment 1 Jakub Čajka 2014-05-13 03:45:31 EDT
Link to upstream tracker https://github.com/taglib/taglib/issues/384.
Comment 2 Fedora Update System 2014-05-15 05:58:11 EDT
taglib-1.9.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/taglib-1.9.1-5.fc19
Comment 3 Fedora Update System 2014-05-15 05:58:21 EDT
taglib-1.9.1-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/taglib-1.9.1-5.fc20
Comment 4 Fedora Update System 2014-05-16 06:07:41 EDT
Package taglib-1.9.1-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing taglib-1.9.1-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6412/taglib-1.9.1-5.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-06-01 18:23:33 EDT
taglib-1.9.1-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-06-01 18:25:32 EDT
taglib-1.9.1-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.